For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList clips
      • GETGet clip
      • DELDelete clip
      • PATCHUpdate clip
Status
LogoLogo
API ReferenceClips

Update clip

PATCH
https://app.resemble.ai/api/v2/projects/:project_uuid/clips/:clip_uuid
PATCH
/api/v2/projects/:project_uuid/clips/:clip_uuid
$curl -X PATCH https://app.resemble.ai/api/v2/projects/project_uuid/clips/clip_uuid \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "success": true,
3 "item": {}
4}
Update a clip
Was this page helpful?
Previous

Get account

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Path parameters

project_uuidstringRequired
clip_uuidstringRequired

Request

This endpoint expects an object.
titlestringOptional
bodystringOptional
is_archivedbooleanOptional

Response

Clip updated
successboolean
itemobject